import request from '@/utils/holmesRequest'

export function getProjectRobotList(queryInfo) {
  return request({
    url: '/jira/list/robot',
    method: 'get',
    params: queryInfo
  })
}

export function getJiraProjectList() {
  return request({
    url: '/jira/list/project',
    method: 'get'
  })
}

export function addProjectRobot(data) {
  return request({
    url: '/jira/add/robot',
    method: 'post',
    data
  })
}

export function modifyProjectRobot(data) {
  return request({
    url: '/jira/modify/robot',
    method: 'post',
    data
  })
}

export function delProjectRobot(queryInfo) {
  return request({
    url: '/jira/delete/robot',
    method: 'get',
    params: queryInfo
  })
}

export function sendScheduleReport(data) {
  return request({
    url: '/jira/send/schedule',
    method: 'post',
    data
  })
}
